using System;
using System.Runtime.InteropServices;
using System.Text;

namespace BlockIOSDK
{
    public class BlockIO5018r
    {
        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_GetCJCValue")]
        public static extern uint TC_GetCJCValue(IntPtr hSession, out double pdblVoltage);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_SetCJCOffset")]
        public static extern uint TC_SetCJCOffset(IntPtr hSession, double pbyStatus);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_CalibrateCJC")]
        public static extern uint TC_CalibrateCJC(IntPtr hSession);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_SetSnmpTrapCount")]
        public static extern uint TC_SetSnmpTrapCount(IntPtr hSession, byte byCount);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_GetSnmpTrapCount")]
        public static extern uint TC_GetSnmpTrapCount(IntPtr hSession, out byte pbyCount);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_SetSnmpTrapIP")]
        public static extern uint TC_SetSnmpTrapIP(IntPtr hSession, byte byChId, [MarshalAs(UnmanagedType.LPTStr)]string lpszIP);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_GetSnmpTrapIP")]
        public static extern uint TC_GetSnmpTrapIP(IntPtr hSession, byte byChId, [MarshalAs(UnmanagedType.LPTStr)]StringBuilder lpszIP);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_ResetSnmpTrap")]
        public static extern uint TC_ResetSnmpTrap(IntPtr hSession);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_GetAI")]
        public static extern uint TC_GetAI(IntPtr hSession, byte byChId, out double pdblAI);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_GetChannelStatus")]
        public static extern uint TC_GetChannelStatus(IntPtr hSession, out byte pbyStatus);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_SetChannelStatus")]
        public static extern uint TC_SetChannelStatus(IntPtr hSession, byte byChId, byte byStatus);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_GetInputRange")]
        public static extern uint TC_GetInputRange(IntPtr hSession, out byte pbyIR);

        [DllImport("BlockIO5018r.dll", EntryPoint = "TC_SetInputRange")]
        public static extern uint TC_SetInputRange(IntPtr hSession, byte byIR);
    }
}
