Option Strict Off
Option Explicit On
Module BlockIOAPI
	
	Structure BlockIO_PASSWORD
		Dim bEnabled As Byte
		<VBFixedArray(7)> Dim szPasswd() As Byte
		
		'UPGRADE_TODO: "Initialize" must be called to initialize instances of this structure. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="B4BFF9E0-8631-45CF-910E-62AB3970F27B"'
		Public Sub Initialize()
			ReDim szPasswd(7)
		End Sub
	End Structure
	
	Declare Function SYS_Install Lib "BlockIOAPIr.dll" (ByRef phHandle As Integer, ByVal lpszAddress As String) As Integer
	Declare Function SYS_Release Lib "BlockIOAPIr.dll" (ByVal hHandle As Integer) As Integer
	'UPGRADE_WARNING: Structure BlockIO_PASSWORD may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="C429C3A5-5D47-4CD9-8F51-74A1616405DC"'
	Declare Function SYS_GetPassword Lib "BlockIOAPIr.dll" (ByVal hHandle As Integer, ByRef ptPassWd As BlockIO_PASSWORD) As Integer
	'UPGRADE_WARNING: Structure BlockIO_PASSWORD may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="C429C3A5-5D47-4CD9-8F51-74A1616405DC"'
	Declare Function SYS_SetPassword Lib "BlockIOAPIr.dll" (ByVal hHandle As Integer, ByRef ptPassWd As BlockIO_PASSWORD) As Integer
	Declare Function SYS_ResotreCoeff Lib "BlockIOAPIr.dll" (ByVal hHandle As Integer) As Integer
	Declare Function SYS_EnableWatchDog Lib "BlockIOAPIr.dll" (ByVal Handle As Integer) As Integer
	Declare Function SYS_DisableWatchDog Lib "BlockIOAPIr.dll" (ByVal Handle As Integer) As Integer
	'Declare Function SYS_SetWatchDogConfig Lib "BlockIOAPIr.dll" (ByVal Handle As Long, ByVal bEnabled As Byte, ByVal dblWDTimer As Double) As Long
	Declare Function SYS_SetWatchDogConfig Lib "BlockIOAPIr.dll" (ByVal Handle As Integer, ByVal bEnabled As Byte, ByVal dblWDTimer As Double) As Integer
	Declare Function SYS_GetWatchDogConfig Lib "BlockIOAPIr.dll" (ByVal Handle As Integer, ByRef pbEnabled As Byte, ByRef pdblWDTimer As Double) As Integer
	Declare Function SYS_ResetWatchDog Lib "BlockIOAPIr.dll" (ByVal Handle As Integer) As Integer
	Declare Function SYS_GetModuleName Lib "BlockIOAPIr.dll" (ByVal Handle As Integer, ByVal pszFirmwareVersion As String, ByVal nSize As Integer) As Integer
	Declare Function SYS_GetModuleFirmware Lib "BlockIOAPIr.dll" (ByVal Handle As Integer, ByVal pszFirmwareVersion As String, ByVal nSize As Integer) As Integer
	Declare Function SYS_GetResetStatus Lib "BlockIOAPIr.dll" (ByVal Handle As Integer, ByRef pwVal As Short) As Integer
	
	Declare Function SYS_ReadDiscreteModuleValues Lib "BlockIOAPIr.dll" (ByVal hSession As Integer, ByVal byType As Byte, ByVal nAddr As Integer, ByRef pcbData As Byte, ByVal cbSize As Integer, ByVal bitCount As Integer) As Integer
	Declare Function SYS_ReadModuleValues Lib "BlockIOAPIr.dll" (ByVal hSession As Integer, ByVal byType As Byte, ByVal nAddr As Integer, ByRef pcwData As Short, ByVal cwSize As Integer, ByVal wordCount As Integer) As Integer
	Declare Function SYS_WriteDiscreteModuleValues Lib "BlockIOAPIr.dll" (ByVal hSession As Integer, ByVal nAddr As Integer, ByRef pcbData As Byte, ByVal cbSize As Integer, ByVal bitCount As Integer, ByVal bBroadcast As Integer) As Integer
	Declare Function SYS_WriteModuleValues Lib "BlockIOAPIr.dll" (ByVal hSession As Integer, ByVal nAddr As Integer, ByRef pcwData As Short, ByVal cwSize As Integer, ByVal wordCount As Integer, ByVal bBroadcast As Integer) As Integer
End Module