//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "BCB5014.h"
#include "..\..\..\include\BlockIOAPI.h"
#include "..\..\..\include\BlockIO5014.h"

#pragma link "..\\..\\..\\library\\bcbBlockIOAPIr.lib"
#pragma link "..\\..\\..\\library\\bcbBlockIO5014r.lib"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TBCB5014Main *BCB5014Main;
//---------------------------------------------------------------------------
__fastcall TBCB5014Main::~TBCB5014Main(void)
{
        Timer1->Enabled = FALSE;
        if(mHandle) SYS_Release(mHandle);
}
//---------------------------------------------------------------------------
__fastcall TBCB5014Main::TBCB5014Main(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::OpenClick(TObject *Sender)
{
        if(IA->Text.IsEmpty())
        {
                Application->MessageBox("Please input IP address!",
                 "System Message", MB_APPLMODAL|MB_OK|MB_ICONSTOP);
                return;
        }
        Open->Enabled = FALSE;
        DWORD dwRet = SYS_Install(&mHandle, IA->Text.c_str());
        if(!ERR_OK(dwRet))
        {
                dwRet = dwRet & 0x00FF;
                Application->MessageBox(Format("Function SYS_Install returns error code: %d!", ARRAYOFCONST(((int)dwRet))).c_str(),
                 "System Message", MB_APPLMODAL|MB_OK|MB_ICONSTOP);
                Open->Enabled = TRUE;
                return;
        }
        char szBuf[20] = "";
        SYS_GetModuleName(mHandle, szBuf, 20);
        MN->Text = szBuf;

        memset(szBuf, 0, sizeof(szBuf));
        SYS_GetModuleFirmware(mHandle, szBuf, 20);
        FV->Text = szBuf;

        BOOL bEnabled;
        double dblWDTimer;
        SYS_GetWatchDogConfig(mHandle, &bEnabled, &dblWDTimer);
        WD->Checked = bEnabled;
        WDT->Text = Format("%f", ARRAYOFCONST((dblWDTimer)));
        WD->Enabled = TRUE;
        WDT->Enabled = TRUE;
        Update->Enabled = TRUE;
        IR->Enabled = TRUE;
        Close->Enabled = TRUE;
        UpdateIR->Enabled = TRUE;
        //Get Input Range
        BYTE pbyInputRange;
        DWORD ret = RTD_GetInputRange(mHandle, &pbyInputRange);
        int nIdx = (int) pbyInputRange;
        nIdx-=0x20;
        IR->ItemIndex = nIdx;

        //
        //JetIO6510
        Check0->Enabled = True;
        Check1->Enabled = True;
        Check2->Enabled = True;
        Check3->Enabled = True;

        Text0->Enabled = True;
        Text1->Enabled = True;
        Text2->Enabled = True;
        Text3->Enabled = True;

        BYTE  status;
        ret = RTD_GetChannelStatus(mHandle, &status);
        m_bCheck[0] = status & 0x1;
        Check0->Checked = m_bCheck[0];

        m_bCheck[1] = status & 0x2;
        Check1->Checked = m_bCheck[1];

        m_bCheck[2] = status & 0x4;
        Check2->Checked = m_bCheck[2];

        m_bCheck[3] = status & 0x8;
        Check3->Checked = m_bCheck[3];


        double dblAI;
        if (m_bCheck[0])
        {
                ret = RTD_GetAI(mHandle, 0, &dblAI);
                Text0->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[1])
        {
                ret = RTD_GetAI(mHandle, 1, &dblAI);
                Text1->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[2])
        {
                ret = RTD_GetAI(mHandle, 2, &dblAI);
                Text2->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[3])
        {
                ret = RTD_GetAI(mHandle, 3, &dblAI);
                Text3->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        Timer1->Enabled = TRUE;
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::CloseClick(TObject *Sender)
{
        Timer1->Enabled = FALSE;

        Close->Enabled = FALSE;

        SYS_Release(mHandle);
        mHandle = NULL;

        WD->Enabled = FALSE;
        //WD->Checked = FALSE;
        WDT->Enabled = FALSE;
        Update->Enabled = FALSE;
        Open->Enabled = TRUE;
        IR->Enabled = FALSE;
        Close->Enabled = FALSE;
        UpdateIR->Enabled = FALSE;
        WDT->Text = "";
        MN->Text = "";
        FV->Text = "";
        Check0->Enabled=FALSE;
        Check1->Enabled=FALSE;
        Check2->Enabled=FALSE;
        Check3->Enabled=FALSE;

        Text0->Enabled=FALSE;
        Text1->Enabled=FALSE;
        Text2->Enabled=FALSE;
        Text3->Enabled=FALSE;

        Text0->Text = "";
        Text1->Text = "";
        Text2->Text = "";
        Text3->Text = "";
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::Timer1Timer(TObject *Sender)
{
        BYTE dwDI, dwDO;
        double dblAI;
        String tmp;
        DWORD ret;
        if (m_bCheck[0])
        {
                ret = RTD_GetAI(mHandle, 0, &dblAI);
                Text0->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[1])
        {
                ret = RTD_GetAI(mHandle, 1, &dblAI);
                Text1->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[2])
        {
                ret = RTD_GetAI(mHandle, 2, &dblAI);
                Text2->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[3])
        {
                ret = RTD_GetAI(mHandle, 3, &dblAI);
                Text3->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }    
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::UpdateIRClick(TObject *Sender)
{
   BYTE byInputRange;
   int nIdx = IR->ItemIndex;
   nIdx+=0x20;
   byInputRange = (BYTE)nIdx;
   DWORD ret = RTD_SetInputRange(mHandle, byInputRange);
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::WDClick(TObject *Sender)
{
        if (WD->Checked==TRUE)
                SYS_EnableWatchDog(mHandle);
        else
                SYS_DisableWatchDog(mHandle);        
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::UpdateClick(TObject *Sender)
{
        double dblWDTimer = atof(WDT->Text.c_str());
        SYS_SetWatchDogConfig(mHandle, WD->Checked, dblWDTimer);                
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::Check0Click(TObject *Sender)
{
        if (Check0->Checked)
                RTD_SetChannelStatus(mHandle, 0, 1);
        else
                RTD_SetChannelStatus(mHandle, 0, 0);
        m_bCheck[0] =  Check0->Checked;
        Text0->Text="";
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::Check1Click(TObject *Sender)
{
        if (Check1->Checked)
                RTD_SetChannelStatus(mHandle, 1, 1);
        else
                RTD_SetChannelStatus(mHandle, 1, 0);
        m_bCheck[1] =  Check1->Checked;
        Text1->Text="";
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::Check2Click(TObject *Sender)
{
        if (Check2->Checked)
                RTD_SetChannelStatus(mHandle, 2, 1);
        else
                RTD_SetChannelStatus(mHandle, 2, 0);
        m_bCheck[2] =  Check2->Checked;
        Text2->Text="";
}
//---------------------------------------------------------------------------
void __fastcall TBCB5014Main::Check3Click(TObject *Sender)
{
        if (Check3->Checked)
                RTD_SetChannelStatus(mHandle, 3, 1);
        else
                RTD_SetChannelStatus(mHandle, 3, 0);
        m_bCheck[3] =  Check3->Checked;
        Text3->Text="";
}
//---------------------------------------------------------------------------
