//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "BCB5018.h"
#include "..\..\..\include\BlockIOAPI.h"
#include "..\..\..\include\BlockIO5018.h"

#pragma link "..\\..\\..\\library\\bcbBlockIOAPIr.lib"
#pragma link "..\\..\\..\\library\\bcbBlockIO5018r.lib"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TBCB5018Main *BCB5018Main;
//---------------------------------------------------------------------------
__fastcall TBCB5018Main::~TBCB5018Main(void)
{
        Timer1->Enabled = FALSE;
        if(mHandle) SYS_Release(mHandle);
}
//---------------------------------------------------------------------------
__fastcall TBCB5018Main::TBCB5018Main(TComponent* Owner)
        : TForm(Owner)
{
        IR->ItemIndex=0;
        memset(m_bCheck,0,8);
}
//---------------------------------------------------------------------------
void __fastcall TBCB5018Main::OpenClick(TObject *Sender)
{
        if(IA->Text.IsEmpty())
        {
                Application->MessageBox("Please input IP address!",
                 "System Message", MB_APPLMODAL|MB_OK|MB_ICONSTOP);
                return;
        }
        Open->Enabled = FALSE;
        DWORD dwRet = SYS_Install(&mHandle, IA->Text.c_str());
        if(!ERR_OK(dwRet))
        {
                dwRet = dwRet & 0x00FF;
                Application->MessageBox(Format("Function SYS_Install returns error code: %d!", ARRAYOFCONST(((int)dwRet))).c_str(),
                 "System Message", MB_APPLMODAL|MB_OK|MB_ICONSTOP);
                Open->Enabled = TRUE;
                return;
        }
        char szBuf[20] = "";
        SYS_GetModuleName(mHandle, szBuf, 20);
        MN->Text = szBuf;

        memset(szBuf, 0, sizeof(szBuf));
        SYS_GetModuleFirmware(mHandle, szBuf, 20);
        FV->Text = szBuf;

        BOOL bEnabled;
        double dblWDTimer;
        SYS_GetWatchDogConfig(mHandle, &bEnabled, &dblWDTimer);
        WD->Checked = bEnabled;
        WDT->Text = Format("%f", ARRAYOFCONST((dblWDTimer)));
        WD->Enabled = TRUE;
        WDT->Enabled = TRUE;
        Update->Enabled = TRUE;
        Close->Enabled = TRUE;
        IR->Enabled = TRUE;
        UpdateIR->Enabled = TRUE;
        txtCJCOffset->Enabled = TRUE;
        //Get Input Range
        BYTE pbyInputRange;
        DWORD ret = TC_GetInputRange(mHandle, &pbyInputRange);

        if(pbyInputRange >= 17 && pbyInputRange <= 22)
                pbyInputRange = pbyInputRange - 17 + 7;
        else if(pbyInputRange >= 14 && pbyInputRange <= 16)
                pbyInputRange = pbyInputRange - 14 + 13;

        int nIdx = (int) pbyInputRange;
        IR->ItemIndex = nIdx;

        //
        //JetIO6510
        Check0->Enabled = True;
        Check1->Enabled = True;
        Check2->Enabled = True;
        Check3->Enabled = True;
        Check4->Enabled = True;
        Check5->Enabled = True;
        Check6->Enabled = True;
        Check7->Enabled = True;

        Text0->Enabled = True;
        Text1->Enabled = True;
        Text2->Enabled = True;
        Text3->Enabled = True;
        Text4->Enabled = True;
        Text5->Enabled = True;
        Text6->Enabled = True;
        Text7->Enabled = True;

        BYTE  status;
        ret = TC_GetChannelStatus(mHandle, &status);
        //status=0xff;//vincent temp use
        m_bCheck[0] = status & 0x1;
        Check0->Checked = m_bCheck[0];

        m_bCheck[1] = status & 0x2;
        Check1->Checked = m_bCheck[1];

        m_bCheck[2] = status & 0x4;
        Check2->Checked = m_bCheck[2];

        m_bCheck[3] = status & 0x8;
        Check3->Checked = m_bCheck[3];

        m_bCheck[4] = status & 0x10;
        Check4->Checked = m_bCheck[4];

        m_bCheck[5] = status & 0x20;
        Check5->Checked = m_bCheck[5];

        m_bCheck[5] = status & 0x20;
        Check5->Checked = m_bCheck[5];

        m_bCheck[6] = status & 0x40;
        Check6->Checked = m_bCheck[6];

        m_bCheck[7] = status & 0x80;
        Check7->Checked = m_bCheck[7];

        double dblAI;
        if (m_bCheck[0])
        {
                ret = TC_GetAI(mHandle, 0, &dblAI);
                Text0->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[1])
        {
                ret = TC_GetAI(mHandle, 1, &dblAI);
                Text1->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[2])
        {
                ret = TC_GetAI(mHandle, 2, &dblAI);
                Text2->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[3])
        {
                ret = TC_GetAI(mHandle, 3, &dblAI);
                Text3->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[4])
        {
                ret = TC_GetAI(mHandle, 4, &dblAI);
                Text4->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[5])
        {
                ret = TC_GetAI(mHandle, 5, &dblAI);
                Text5->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[6])
        {
                ret = TC_GetAI(mHandle, 6, &dblAI);
                Text6->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[7])
        {
                ret = TC_GetAI(mHandle, 7, &dblAI);
                Text7->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        ret = TC_CalibrateCJC(mHandle);
        ret = TC_SetCJCOffset(mHandle, 0);
        ret = TC_GetCJCValue(mHandle, &dblAI);
        txtTemperature->Text = Format("%f",ARRAYOFCONST((dblAI)));
        txtCJCOffset->Text="+0.0";
        cmdExecute->Enabled = True;
        Timer1->Enabled = TRUE;
}
//---------------------------------------------------------------------------
void __fastcall TBCB5018Main::CloseClick(TObject *Sender)
{
        Timer1->Enabled = FALSE;

        Close->Enabled = FALSE;

        SYS_Release(mHandle);
        mHandle = NULL;

        WD->Enabled = FALSE;
        //WD->Checked = FALSE;
        WDT->Enabled = FALSE;
        Update->Enabled = FALSE;
        Open->Enabled = TRUE;
        Close->Enabled = FALSE;
        IR->Enabled = FALSE;
        UpdateIR->Enabled = FALSE;
        txtCJCOffset->Enabled = FALSE;
        WDT->Text = "";
        MN->Text = "";
        FV->Text = "";
        Check0->Enabled=FALSE;
        Check1->Enabled=FALSE;
        Check2->Enabled=FALSE;
        Check3->Enabled=FALSE;
        Check4->Enabled=FALSE;
        Check5->Enabled=FALSE;
        Check6->Enabled=FALSE;
        Check7->Enabled=FALSE;

        Text0->Enabled=FALSE;
        Text1->Enabled=FALSE;
        Text2->Enabled=FALSE;
        Text3->Enabled=FALSE;
        Text4->Enabled=FALSE;
        Text5->Enabled=FALSE;
        Text6->Enabled=FALSE;
        Text7->Enabled=FALSE;

        Text0->Text = "";
        Text1->Text = "";
        Text2->Text = "";
        Text3->Text = "";
        Text4->Text = "";
        Text5->Text = "";
        Text6->Text = "";
        Text7->Text = "";

        cmdExecute->Enabled = False;
        txtTemperature->Text = "";
        txtCJCOffset->Text = "";

}
//---------------------------------------------------------------------------
void __fastcall TBCB5018Main::Timer1Timer(TObject *Sender)
{
        BYTE dwDI, dwDO;
        double dblAI;
        String tmp;
        DWORD ret;
        if (m_bCheck[0])
        {
                ret = TC_GetAI(mHandle, 0, &dblAI);
                Text0->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[1])
        {
                ret = TC_GetAI(mHandle, 1, &dblAI);
                Text1->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[2])
        {
                ret = TC_GetAI(mHandle, 2, &dblAI);
                Text2->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[3])
        {
                ret = TC_GetAI(mHandle, 3, &dblAI);
                Text3->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[4])
        {
                ret = TC_GetAI(mHandle, 4, &dblAI);
                Text4->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[5])
        {
                ret = TC_GetAI(mHandle, 5, &dblAI);
                Text5->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[6])
        {
                ret = TC_GetAI(mHandle, 6, &dblAI);
                Text6->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        if (m_bCheck[7])
        {
                ret = TC_GetAI(mHandle, 7, &dblAI);
                Text7->Text = Format("%f",ARRAYOFCONST((dblAI)));
        }
        ret = TC_GetCJCValue(mHandle, &dblAI);
        txtTemperature->Text = Format("%f",ARRAYOFCONST((dblAI)));        
}
//---------------------------------------------------------------------------
void __fastcall TBCB5018Main::UpdateIRClick(TObject *Sender)
{
   BYTE byInputRange;
   int nIdx = IR->ItemIndex;
   byInputRange = (BYTE)nIdx;

   if(nIdx < 7)
        DWORD ret = TC_SetInputRange(mHandle, byInputRange);

   if(nIdx >= 7 && nIdx < 13)
   {
        nIdx = nIdx -7 + 0x11;
        byInputRange = (BYTE)nIdx;
        DWORD ret = TC_SetInputRange(mHandle, byInputRange);
   }
   if(byInputRange >= 13 && byInputRange <=15)
   {
        nIdx = nIdx -13 + 0xE;
        byInputRange = (BYTE)nIdx;
        DWORD ret = TC_SetInputRange(mHandle, byInputRange);
   }
   //DWORD ret = TC_SetInputRange(mHandle, byInputRange);
}
//---------------------------------------------------------------------------
void __fastcall TBCB5018Main::WDClick(TObject *Sender)
{
        if (WD->Checked==TRUE)
                SYS_EnableWatchDog(mHandle);
        else
                SYS_DisableWatchDog(mHandle);        
}
//---------------------------------------------------------------------------
void __fastcall TBCB5018Main::UpdateClick(TObject *Sender)
{
        double dblWDTimer = atof(WDT->Text.c_str());
        SYS_SetWatchDogConfig(mHandle, WD->Checked, dblWDTimer);
}
//---------------------------------------------------------------------------
void __fastcall TBCB5018Main::cmdExecuteClick(TObject *Sender)
{
        double dbOffset = atof(txtCJCOffset->Text.c_str());
        DWORD ret = TC_SetCJCOffset(mHandle, dbOffset);
}
//---------------------------------------------------------------------------








void __fastcall TBCB5018Main::Check0Click(TObject *Sender)
{
        if (Check0->Checked)
                TC_SetChannelStatus(mHandle, 0, 1);
        else
                TC_SetChannelStatus(mHandle, 0, 0);
        m_bCheck[0] =  Check0->Checked;
        Text0->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TBCB5018Main::Check1Click(TObject *Sender)
{
        if (Check1->Checked)
                TC_SetChannelStatus(mHandle, 1, 1);
        else
                TC_SetChannelStatus(mHandle, 1, 0);
        m_bCheck[1] =  Check1->Checked;
        Text1->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TBCB5018Main::Check2Click(TObject *Sender)
{
        if (Check2->Checked)
                TC_SetChannelStatus(mHandle, 2, 1);
        else
                TC_SetChannelStatus(mHandle, 2, 0);
        m_bCheck[2] =  Check2->Checked;
        Text2->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TBCB5018Main::Check3Click(TObject *Sender)
{
        if (Check3->Checked)
                TC_SetChannelStatus(mHandle, 3, 1);
        else
                TC_SetChannelStatus(mHandle, 3, 0);
        m_bCheck[3] =  Check3->Checked;
        Text3->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TBCB5018Main::Check4Click(TObject *Sender)
{
        if (Check4->Checked)
                TC_SetChannelStatus(mHandle, 4, 1);
        else
                TC_SetChannelStatus(mHandle, 4, 0);
        m_bCheck[4] =  Check4->Checked;
        Text4->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TBCB5018Main::Check5Click(TObject *Sender)
{
        if (Check5->Checked)
                TC_SetChannelStatus(mHandle, 5, 1);
        else
                TC_SetChannelStatus(mHandle, 5, 0);
        m_bCheck[5] =  Check5->Checked;
        Text5->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TBCB5018Main::Check6Click(TObject *Sender)
{
        if (Check6->Checked)
                TC_SetChannelStatus(mHandle, 6, 1);
        else
                TC_SetChannelStatus(mHandle, 6, 0);
        m_bCheck[6] =  Check6->Checked;
        Text6->Text="";
}
//---------------------------------------------------------------------------

void __fastcall TBCB5018Main::Check7Click(TObject *Sender)
{
        if (Check7->Checked)
                TC_SetChannelStatus(mHandle, 7, 1);
        else
                TC_SetChannelStatus(mHandle, 7, 0);
        m_bCheck[7] =  Check7->Checked;
        Text7->Text="";
}
//---------------------------------------------------------------------------

