Option Strict Off
Option Explicit On
Module BlockIO5017API
	
	' BlockIO: 8-CH Analog Inputs w/DO Module
	Declare Function AI_GetAI Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byChId As Byte, ByRef pdblAI As Double) As Integer
	' byStatus : xxxxxxxx  binary
	'            7      0  channel
	Declare Function AI_GetChannelStatus Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByRef pbyStatus As Byte) As Integer
	' byChId : 0 ~ 7 - single channel, 255 - All channels
	Declare Function AI_SetChannelStatus Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byChId As Byte, ByVal byStatus As Byte) As Integer
	' byCount : 0 ~ 4
	Declare Function AI_SetSnmpTrapCount Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byChId As Byte) As Integer
	' byCount : 0 ~ 4
	Declare Function AI_GetSnmpTrapCount Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByRef pbyCount As Byte) As Integer
	' byChId :  1 ~ 4
	Declare Function AI_SetSnmpTrapIP Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byChId As Byte, ByRef lpszIP As String) As Integer
	' byChId :  1 ~ 4
	Declare Function AI_GetSnmpTrapIP Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byChId As Byte, ByRef lpszIP As String) As Integer
	Declare Function AI_ResetSnmpTrap Lib "BlockIO5017r.dll" (ByVal hSession As Integer) As Integer
	
	'// \/\/:
    Structure I5017_ALARM_INFO
        Dim byAlarmStatus As Byte ' bit 0
        Dim byAlarmMode As Byte ' bit 1
        Dim dwAlarmAction As Integer ' bit 2
        Dim byMask As Byte
        Dim byResult As Byte
    End Structure
	
	
	'UPGRADE_WARNING: Structure I5017_ALARM_INFO may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="C429C3A5-5D47-4CD9-8F51-74A1616405DC"'
    Declare Function AI_GetAlarmInfo Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByRef pAlarmInfo As I5017_ALARM_INFO) As Integer
	'UPGRADE_WARNING: Structure I5017_ALARM_INFO may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="C429C3A5-5D47-4CD9-8F51-74A1616405DC"'
    Declare Function AI_SetAlarmInfo Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByRef pAlarmInfo As I5017_ALARM_INFO) As Integer
	Declare Function AI_SetAlarmLimits Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byChId As Byte, ByVal dblHiVal As Double, ByVal dblLoVal As Double, ByVal byLimitsMask As Byte) As Integer
	Declare Function AI_GetAlarmLimits Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byChId As Byte, ByRef pdblHiVal As Double, ByRef pdblLoVal As Double) As Integer
	Declare Function AI_GetInputRange Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByRef pbyIR As Byte) As Integer
	Declare Function AI_SetInputRange Lib "BlockIO5017r.dll" (ByVal hSession As Integer, ByVal byIR As Byte) As Integer
End Module